# Generated by Django 4.1.5 on 2023-01-28 03:58

import datetime
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AthleticsMatch',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('athleticsType', models.CharField(max_length=40)),
                ('dateMatch', models.DateTimeField()),
                ('athleticsMatchDesc', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='CollectiveMatch',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('collectivePhase', models.IntegerField()),
                ('collectiveMatchDesc', models.CharField(max_length=200)),
                ('sport', models.CharField(max_length=40)),
                ('sexe', models.CharField(default='m', max_length=2)),
                ('timeLenght', models.IntegerField()),
                ('refname', models.CharField(blank=True, max_length=40)),
                ('stage', models.IntegerField()),
                ('collectiveMatchDate', models.DateField(default=datetime.date.today)),
                ('collectiveMatchTime', models.TimeField(default=django.utils.timezone.now)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nameTeam', models.CharField(default='teamExt', max_length=10)),
                ('fullnameTeam', models.CharField(max_length=100)),
                ('colorteam', models.CharField(max_length=20)),
                ('descriptionTeam', models.CharField(max_length=200)),
                ('globalRank', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('playerName', models.CharField(max_length=40)),
                ('playerLastName', models.CharField(max_length=40)),
                ('playerAge', models.IntegerField()),
                ('playerTeam', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='esgliveapp.team')),
            ],
        ),
        migrations.CreateModel(
            name='DetailsMatch',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.IntegerField()),
                ('decidedBy', models.CharField(default='n', max_length=2)),
                ('win_lose', models.CharField(max_length=2)),
                ('captainId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='esgliveapp.player')),
                ('matchId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='esgliveapp.collectivematch')),
                ('teamId', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='esgliveapp.team')),
            ],
        ),
        migrations.CreateModel(
            name='AthleticsParticipation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('score', models.IntegerField()),
                ('athleticsDesc', models.CharField(max_length=200)),
                ('idathleticsMatch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='esgliveapp.athleticsmatch')),
                ('idteam', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='esgliveapp.team')),
            ],
        ),
    ]
